Log in or register to post comments

The library libVuforia.so could not be loaded

August 8, 2014 - 4:23pm #1

Hello,

 

I have used Vuforia for some months now, using a different computer and a different mobile device I am using right now.
I wanted to try the "ImageTargetsNative" sample, so I downloaded it, setted everything up, compiled with ndk-build (worked), and uploaded the app to my smartphone.

 

My problem is, I then face the error logs:

The library libVuforia.so could not be loaded
The library libImageTargetsNative.so could not be loaded

 

Okay, so I double-checked my installation, and so on, nothing was wrong at all! So I thought maybe people had the same problem, I browsed every topics with library not loaded, and none of the solutions solved my problem (because anyway, mostly applied to the regular samples and used a fix using "CopyVuforiaFiles.xml").

 

I am under xubuntu 14.04 x64, my smarphone is a Samsung Galaxy Ace under Android 2.3.6.

 

What could cause the issue?

 

Here my libs/ folder:

ls libs/armeabi-v7a/

libImageTargetsNative.so  libVuforia.so
 

 

Thanks in advance for your help.

 

Best regards.

The library libVuforia.so could not be loaded

August 13, 2014 - 12:16am #2

Hello,

 

I might found a solution to my problem. The problem is that I need to compile for armeabi and not armeabi-v7a.

I understood that Vuforia stopped the support of armeabi, but are there still a version using it? Or does someone has an older version of Vuforia (even if I dislike using an older version).

 

Best regards.

Log in or register to post comments